import * as RE from 'rogue-engine';

export default class RaycastReceiver extends RE.Component {
  onMouseOver(intersect) {
    throw new Error("Abstract class: Please inherit from this class to use it's behavior")
  }

  onMouseOut(){
    throw new Error("Abstract class: Please inherit from this class to use it's behavior")
  }
}

RE.registerComponent(RaycastReceiver);